@import "tailwindcss";

@source '../../vendor/laravel/framework/src/Illuminate/Pagination/resources/views/*.blade.php';
@source '../../storage/framework/views/*.php';
@source '../**/*.blade.php';
@source '../**/*.js';
/* Importar estilos de TipTap */
@import "./tiptap.css";
@import "./ck-editor.css";
@theme {
--font-sans: "Instrument Sans", ui-sans-serif, system-ui, sans-serif,
"Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol",
"Noto Color Emoji";
}

/* Quitamo padding ancho del layout */
.drawer-content:has(.sidebar-calendario) {
@apply !pl-0;
}
/**
The lines above are intact.
The lines below were added by maryUI installer.
*/

/** daisyUI */
@plugin "daisyui" {
themes: light --default, dark --prefersdark, cupcake, bumblebee, emerald, corporate, retro, garden, forest, lofi,
pastel, fantasy, wireframe, dracula, cmyk, autumn, business, lemonade, night, winter, dim, nord, sunset;
}

/* maryUI */
@source "../../vendor/robsontenorio/mary/src/View/Components/**/*.php";
/* Theme toggle */
@custom-variant dark (&:where(.dark, .dark *));

@plugin "daisyui/theme" {
name: "light";
default: true;
--color-primary: "#000000";
--color-secondary: "#1d3662";
}

[data-theme="dark"] {
--color-primary: #3f9bf2;
--color-secondary: "#9e153f";
}
/**
* Paginator - Traditional style
* Because Laravel defaults does not match well the design of daisyUI.
*/

.mary-table-pagination span[aria-current="page"] > span {
@apply bg-primary text-base-100;
}

.mary-table-pagination button {
@apply cursor-pointer;
}

/* Poner clase tiptap-content al contenedor del editor */
/* .tiptap-content > ol,
ul {
list-style: revert;
margin: revert;
padding: revert;
} */
.modal-unset .modal-box > p {
all: unset !important;
display: block !important;
width: 100% !important;
height: 100% !important;
}
.mary-table-pagination {
button,
span {
@apply text-xs border-none;
}

button {
@apply cursor-pointer;
}

span[aria-current="page"] > span {
@apply bg-primary;
}

button,
span[aria-current="page"] > span,
span[aria-disabled="true"] span {
@apply py-1 px-2;
}
}

table.dropdown-z {
@apply !static
}

table.dropdown-z details.dropdown {
@apply !static;
}
